/*
  Ncr4x20Vfd Library - USB Serial Adaptor
  
  Uses the Arduino as an adapter to connect
  the display to the PC via USB serial.
  
  TODO: Insert link to wiring tutoral.

  Reference page:
    http://arduino.cc/playground/Main/Ncr4X20VfdUsbSerialAdapter
  
  Originally created 12 Feb 2011

  This file is in the public domain.
*/

#include <Ncr4X20Vfd.h>

// See Ncr4X20VfdTutorialPins.h for other board defines.
#define NCR_4X20_VFD_ARDUINO_PINOUT
#include "Ncr4X20TutorialPins.h"

Ncr4X20Vfd vfd(NCR_4X20_VFD_STROBE_PIN,
               NCR_4X20_VFD_BUSY_PIN,
               NCR_4X20_VFD_DATA0_PIN,
               NCR_4X20_VFD_DATA1_PIN,
               NCR_4X20_VFD_DATA2_PIN,
               NCR_4X20_VFD_DATA3_PIN,
               NCR_4X20_VFD_DATA4_PIN,
               NCR_4X20_VFD_DATA5_PIN,
               NCR_4X20_VFD_DATA6_PIN,
               NCR_4X20_VFD_DATA7_PIN);

void setup() {
  
  // Drive the unneeded control lines high. The display's parallel 
  // interface will not function correctly if they are low.
  digitalWrite(NCR_4X20_VFD_RESET_PIN, HIGH);
  digitalWrite(NCR_4X20_VFD_UNKNOWN_CONTROL1_PIN, HIGH);
  digitalWrite(NCR_4X20_VFD_UNKNOWN_CONTROL2_PIN, HIGH);
  
  pinMode(NCR_4X20_VFD_RESET_PIN, OUTPUT);
  pinMode(NCR_4X20_VFD_UNKNOWN_CONTROL1_PIN, OUTPUT);
  pinMode(NCR_4X20_VFD_UNKNOWN_CONTROL2_PIN, OUTPUT); 
  
  // Start the library.
  vfd.begin();

  // Initialize the serial connection.
  Serial.begin(9600);
}

void loop() {

  if (Serial.available())
  {
    vfd.write(Serial.read());
  }  
}

